<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 


////////////////////GENERAR ARCHIVO COSTO LABORAL 11/05/2020 -- Miguelangel

if ($_POST['treporte']==6) {
 $query='';
 if ($_POST['nomina']!='') $query .= "personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT( personal.nombres, ' ', personal.nombres1, ' ', personal.apellidos, ' ', personal.apellidos1 ), periodo, substr(desperiodo,15,11), 
		REPLACE(REPLACE(FORMAT(dias_pagar,2),',',''),'.',','),
		REPLACE(REPLACE(FORMAT(salario_integral,2),',',''),'.',','), 		
		REPLACE(REPLACE(FORMAT(prestacion_monto	,2),',',''),'.',',')
		
		FROM prestaciones_fideicomiso AS prestaciones_fideicomiso JOIN personal AS personal ON personal.codigo = prestaciones_fideicomiso.cedula  WHERE prestaciones_fideicomiso.periodo >= '".substr($_POST['per1'],0,3)."' AND prestaciones_fideicomiso.periodo <='".substr($_POST['per2'],0,3)."' and prestaciones_fideicomiso.cedula=personal.codigo and prestaciones_fideicomiso.id=personal.id and prestaciones_fideicomiso.id=".$_SESSION['id_validar']."  order by cedula,periodo";
		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		
		$cont=0;
		$data=array();
				//$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Periodo","Fecha_remuner","Salario(Bs)","Cestaticket(Bs)","Prestaciones(Bs)","Inter_mes(Bs)","Utilidades(Bs)","Vacaciones(Bs)","Bono_Vacacional(Bs)","SSO(Bs)", "RPE(Bs)","FAOV(Bs)","INCES(Bs)","Costo Laboral total(Bs)");
				
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Periodo","Fecha_Abonado","Dias_abonados","Salario_integral", "Monto_abonado(Bs)");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
$arch="Reporte_prestaciones_fideicomiso.csv";		
header("Content-type: text/csv");
header("Content-Disposition: attachment; filename=".$arch);
header("Pragma: no-cache");
header("Expires: 0");
echo "Empresa: ".$_SESSION['empresa_validar']."\n";
echo " \n";
echo "Prestaciones sociales por antiguedad abonadas al fideicomiso \n";
echo "\n";
echo "Periodo del: ".substr($_POST['per1'],19,10)." al ".substr($_POST['per2'],33,10)."\n";
echo "\n";

echo $cabecera."\n";
echo utf8_decode($data);		
		
 exit();
}



////////////////////FIN DE REPORTE COSTO LABORAL


?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?		
	echo "<h2 align='center'><font face='Verdana, Arial, Helvetica, sans-serif'>REPORTE DE PRESTACIONES SOCIALES ABONADAS AL FIDEICOMISO</font></h2>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='treporte'>
						<option value='6'>Prestaciones Sociales abonadas a Fideicomiso</option>
						


					</select>
				</td>
				</tr>";
				//<option value='5'>Reporte INCES</option> lo saqué aparte (reporte_INCES.php)
				//<option value='4'>Libro de Vacaciones</option> lo saqué en un archivo aparte (reporte_vacaciones.php)
				//Miguelangel 20-04-2020
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;border-radius:8px; padding:4px; ' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/			
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' class='boton' value='GENERAR REPORTE'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>
			<style>
	.numeroFila {
		color: black;
		font-weight: bold;
	}

	.boton {
    border-radius: 8px;      /* Bordes redondeados */
    padding: 8px 16px;       /* Más espacio interno */
    border: none;            /* Quita el borde feo por defecto */
    cursor: pointer;         /* Mano al pasar */
    transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}


</style>
	</body>
</html>